Reports and Requests Left

This endpoint returns the number of report credits and discovery requests left within a subscription plan.

❗️

Changelog

  • The response contains reports (mini reports) and advancedReportscount since July 1, 2026.
  • The reports.credits response object will be deprecated by January 1, 2027.

📘

Note:

  • Endpoint is available only for API subscriptions.

Endpoint

GET https://hypeauditor.com/api/method/auditor.planInfo/

Response Object

AttributesTypeDescription
reports.planstringAPI reports subscription plan name
reportsintegerNumber of mini-report credits left
advancedReportsintegerNumber of advanced report credits left
reports.creditsintegerNumber of report credits left
discovery.planstringAPI discovery subscription plan name
discovery.requestsintegerNumber of discovery requests left

Requests

Set YOUR_ID and YOUR_TOKEN from HypeAuditor.

curl -X GET \
 'https://hypeauditor.com/api/method/auditor.planInfo/'
-H 'accept: application/json' \
-H 'x-auth-id: %YOUR_ID%' \
-H 'x-auth-token: %YOUR_TOKEN%' \
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://hypeauditor.com/api/method/auditor.planInfo/',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => array(
    'accept: application/json',
    'x-auth-id: %YOUR_ID%',
    'x-auth-token: %YOUR_TOKEN%'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

Sample Response

{
    "result": {
        "reports": {
            "plan": "unlimited",
            "credits": 9810,
            "reports": 9682,
            "advanced_reports": 9810
        },
        "discovery": {
            "plan": "all",
            "requests": 99974
        }
    }
}

Errors

Please refer to Errors.

Error Examples

402: No access to API

{
    "error": {
        "code": 27,
        "description": "No API access"
    }
}

403: Invalid token (ID/API key)

{
    "error": {
        "code": 4,
        "description": "Invalid token"
    }
}